Subject: RE: [Sip] Should service route discover be standards track or p-h eader

From: Adam Roach <[email-masked]>
Date: Tue, 9 Jul 2002 18:01:35 -0400

I'd argue that Service Route Discovery is generally useful,
and doesn't involve the working-group reservations that
the currently proposed P-headers do. Consider the
three possible criteria for classifying something as a
P header:

- Is it Proprietary? Certainly not -- it's undergoing
  working group standardization, and is generally
  appliable to SIP networks in general (not just specific
  networks with assumptions that don't hold in the
  Internet at large).

- Is it Private? No, it is going to be a published RFC.

- Is it Preliminary? I don't think so. If it is, we need to
  keep working on the draft until it's fully baked.

While I agree with Henning that the entire P-header ghetto
concept is complete rubbish, I don't think it would be
appropriate to crucify Service Route Discovery merely
to prove that point.

I'd prefer to continue to explain to the P-header proponents 
that "fire is hot and should not be touched" than to set up
a tripwire designed to throw them (and the rest of us) into
the campfire.

/a

> -----Original Message-----
> From: Henning Schulzrinne [mailto:[email-masked]]
> Sent: Tuesday, July 09, 2002 15:59
> To: Dean Willis
> Cc: [email-masked]
> Subject: Re: [Sip] Should service route discover be standards track or
> p-header
> 
> 
> No, I think it should stay a P- header. Then, we will 
> hopefully discover 
> that it is generally useful and thus show that scarlet-letter headers 
> are a flawed idea. All the other poor P- headers will then look up to 
> this one and get some hope in their purgatory that redemption 
> is possible.
> 
> Dean Willis wrote:
> > Should the SIP Service route Discovery draft be an informational
> > P-header or should it be standards track? Some have argued 
> that it is
> > more general than usual for P-headers. It seems to me to be useful
> > whenever it is useful for a registrar to return routing 
> infromation that
> > UAs may use when they want request routing services from the domain
> > served by that registrar.
> > 
> > Opinions?
> > 
> > See:
> > 
> > 
http://search.ietf.org/internet-drafts/draft-willis-sip-scvrtdisco-06.tx
> t
> 
> 
> --
> Dean
> 
> 
> 
> _______________________________________________
> Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
> This list is for NEW development of the core SIP Protocol
> Use [email-masked] for questions on current sip
> Use [email-masked] for new developments on the application of sip

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip